Subject: RE: group name problem
From: "Jacob Kitzman" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 1 Oct 2004 13:56:51 -0500

Pierre,

I noticed that the output differs between running just "id" and "strace -o
trace.txt id":

dnr@walz-bemaster ~
$ id
uid=1004(dnr) gid=1006(mkgroup) groups=1006(mkgroup)

dnr@walz-bemaster ~
$ strace -o trace.txt id
uid=400(dnr) gid=401(mkpasswd) groups=401(mkpasswd) 

I've attached trace.txt.

Thanks a lot for looking for this!

Jacob

-----Original Message-----
From: Pierre A. Humblet [mailto:[email-masked]] 
Sent: Friday, October 01, 2004 9:45 AM
To: Jacob Kitzman
Cc: [email-masked]
Subject: Re: group name problem

Jacob Kitzman wrote:
> 
> Pierre A. Humblet <pierre.humblet <at> ieee.org> writes:
> 
> > 
> ...
> >
> > What are the permissions of /etc/group ?
> >
> > Pierre
> 
> Permissions on /etc/group are:
> 
> $ ls -l /etc/group
> -rw-rw-r--    1 Administ None          562 Sep 30 16:57 /etc/group
> 
> I also tried the same permissions having changed group ownership to
"Limited
> SSHD users", which is the group in question above, to no avail.

Could also be a mount issue.
When you are logged in as user dnr, can you cat /etc/group?
If the answer is yes, run "strace -o trace.txt id"
as user dnr (use just "id", not "id dnr"). Send us trace.txt

Pierre
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/